/*
 * This file is distributed according to the GNU Lesser Public Licence.
 * Created on Jun 12, 2006
 *
 */
package tpA1;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JComponent;

import sun.rmi.runtime.GetThreadPoolAction;

public class ClockView extends JComponent {

    private long time= 0;
    
    public ClockView() {
        setBackground(Color.WHITE);
    }
    
    
    public Dimension getPreferredSize() {
        return new Dimension(100,30);
    }
    
    public synchronized void setTime(long time) {
        this.time = time;
    }

    public synchronized long getTime() {
        return time;
    }
    
    protected void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.clearRect(0,0,getWidth(), getHeight());
        g.setColor(Color.BLACK);
        int h= g.getFontMetrics().getAscent();
        g.drawString(""+ getTime(), 0,h);
    }
}
